Subject: Re: .git/info/refs

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 25 Jan 2007 13:37:54 -0800

Junio C Hamano wrote:
>>>
>>>> Would it be an incompatible change to add the commit date (and
>>>> perhaps the author date) to .git/info/refs?  I believe that would
>>>> make it possible to dramatically (orders of magnitude) speed up the
>>>> generation of the gitweb index page, which is easily the most
>>>> expensive gitweb page to generate.
>>> With new gitweb and new git it is not that expensive. It is now one call
>>> to git-for-each-ref per repository.
>> That IS hugely expensive.  On kernel.org, that is 24175 calls to git.
> 
> Do you mean you have 24k _REPOSITORIES_ served by gitweb on
> kernel.org?
> 

No, we currently have 250 repositories with a total of 24175 refs.

	-hpa